Bug 1652

Summary: Kyro support
Product: xorg Reporter: Gernot <gernot_k>
Component: Driver/fbdevAssignee: Xorg Project Team <xorg-team>
Status: RESOLVED WONTFIX QA Contact:
Severity: enhancement    
Priority: high CC: ajax, mharris
Version: unspecified   
Hardware: x86 (IA32)   
OS: Linux (All)   
Whiteboard:
i915 platform: i915 features:
Bug Depends on:    
Bug Blocks: 1903    

Description Gernot 2004-10-16 10:51:18 UTC
Hi!

Why has X.org no support for Kyro-based cards? I have to use the PowerVR drivers
for my kyro card, which are working correctly, but they are not compatible to
Kernel 2.6 and it's not planned to port them to 2.6.
So, is there a possibility that X.org supports kyro-chips in the near future?
Comment 1 Ryan Underwood 2004-10-16 15:55:30 UTC
We don't have any docs for any powervr/kyro chips.  Unfortunately someone will  
have to make some noise to the manufacturer for this to change.
Comment 2 ajax at nwnk dot net 2004-10-19 08:05:52 UTC
the KallistiOS project - http://gamedev.allusion.net/softprj/kos/ - has a
more-or-less working driver for the PowerVR chip in the Sega Dreamcast.  it's
not clear that this chip is close enough to the Kyro cards (or any other PowerVR
card, Matrox m3D or Videologic Apocalypse for example) to be the basis for a port.

has anyone approached Imagination/PowerVR about releasing at least the 2D core
of their driver?
Comment 3 Mike A. Harris 2005-04-27 19:02:14 UTC
I'd discussed open source drivers with them before and they are not
interested.  The only way we will get open source Kyro driver is if
someone reverse engineers the hardware and writes one.  This seems
very unlikely, as I strongly doubt they have even as much as 0.1% of
the video market.  It's easier to just buy a video card that has
supported open source drivers, than it is to become motivated to
reverse engineer the hardware.

Nobody is working on reverse engineering Kyro hardware right now,
and I doubt anyone will.  There's no real value in tracking it
in bugzilla anyway, so I'm going to close this as "WONTFIX".  If
someone ever actually does reverse engineer the hardware and complete
a driver, they're welcome to submit it in a new bug report for
inclusion in a future release.